ur_rna.RNAstructureUI.windows

## Class InternalWindow.CommandInfo

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.InternalWindow.CommandInfo

- Enclosing class:
    InternalWindow

      protected static class InternalWindow.CommandInfo
      extends java.lang.Object

  An immutable object that represents a command invoked by some part of the program, e.g. in response to a user action.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `command` The name or title of the command.
    `java.awt.event.ActionEvent` | `event` A reference to the original ActionEvent that invoked this command, if any.
    `java.lang.Object` | `source` The source of the command -- e.g.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandInfo(java.awt.event.ActionEvent event)`
    `CommandInfo(java.lang.String command)`
    `CommandInfo(java.lang.String command, java.lang.Object source)`
    `CommandInfo(java.lang.String command, java.lang.Object source, java.awt.event.ActionEvent originalEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommand()`
    `int` | `getId()`
    `java.lang.Object` | `getSource()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### command

          public final java.lang.String command

      The name or title of the command.

    - #### event

          public final java.awt.event.ActionEvent event

      A reference to the original ActionEvent that invoked this command, if any.

    - #### source

          public final java.lang.Object source

      The source of the command -- e.g. a Component or other object class that invoked or caused the action/command.

  - ### Constructor Detail

    - #### CommandInfo

          public CommandInfo(java.awt.event.ActionEvent event)

    - #### CommandInfo

          public CommandInfo(java.lang.String command)

    - #### CommandInfo

          public CommandInfo(java.lang.String command,
                             java.lang.Object source)

    - #### CommandInfo

          public CommandInfo(java.lang.String command,
                             java.lang.Object source,
                             java.awt.event.ActionEvent originalEvent)

  - ### Method Detail

    - #### getCommand

          public java.lang.String getCommand()

    - #### getId

          public int getId()

    - #### getSource

          public java.lang.Object getSource()